import serial
import time

def send_at_command(ser, command):
    ser.write(command.encode() + b"\r\n")
    time.sleep(1)
    response = ser.read(ser.in_waiting)
    print(response.decode())

def main():

    ser = serial.Serial('/dev/ttyUSB2', 115200, timeout=1)

    send_at_command(ser, "AT+CPIN?")
    send_at_command(ser, "AT+QENG=\"servingcell\"")
    send_at_command(ser, "AT+QCFG=\"usbnet\",1")
    send_at_command(ser, "AT+QNETDEVCTL=2,3,1")
    send_at_command(ser, "AT+CFUN=1,1")

    ser.close()

if __name__ == "__main__":
    main()
